### Method

# Camel GpgContext set_key_trust_sync

since: 3.50

#### Declaration [src]

    gboolean
    camel_gpg_context_set_key_trust_sync (
      CamelGpgContext* context,
      const gchar* keyid,
      CamelGpgTrust trust,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Sets `trust` level on the key `keyid`.

The `keyid` can be either key ID or an email address.

Available since: 3.50

#### Parameters

`keyid`

  Type: `const gchar*`

  A key ID or an email address.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`trust`

  Type: `CamelGpgTrust`

  A `CamelGpgTrust` to set.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.